package com.rjconsultores.ventaboletos.vo.cashmonitor;

import java.io.Serializable;
import java.math.BigDecimal;

@SuppressWarnings("serial")
public class RelatorioVendaCartaoCashMonitorVO implements Serializable {
	
	private String dataTransacao;
	private String loja;
	private String adquirente;
	private String nsu;
	private String autorizacao;
	private BigDecimal valorBruto;
	private Integer formapago_id;
	private String bandeira;
	private String codigoPedido;
	private BigDecimal valorParcela;
	private Integer parcelas;
	
	public String getDataTransacao() {
		return dataTransacao;
	}

	public String getLoja() {
		return loja;
	}

	public String getAdquirente() {
		return adquirente;
	}

	public String getNsu() {
		return nsu;
	}

	public String getAutorizacao() {
		return autorizacao;
	}

	public BigDecimal getValorBruto() {
		return valorBruto;
	}

	public Integer getFormapago_id() {
		return formapago_id;
	}

	public String getBandeira() {
		return bandeira;
	}

	public String getCodigoPedido() {
		return codigoPedido;
	}

	public BigDecimal getValorParcela() {
		return valorParcela;
	}

	public Integer getParcelas() {
		return parcelas;
	}

	public void setDataTransacao(String dataTransacao) {
		this.dataTransacao = dataTransacao;
	}

	public void setLoja(String loja) {
		this.loja = loja;
	}

	public void setAdquirente(String adquirente) {
		this.adquirente = adquirente;
	}

	public void setNsu(String nsu) {
		this.nsu = nsu;
	}

	public void setAutorizacao(String autorizacao) {
		this.autorizacao = autorizacao;
	}

	public void setValorBruto(BigDecimal valorBruto) {
		this.valorBruto = valorBruto;
	}

	public void setFormapago_id(Integer formapago_id) {
		this.formapago_id = formapago_id;
	}

	public void setBandeira(String bandeira) {
		this.bandeira = bandeira;
	}

	public void setCodigoPedido(String codigoPedido) {
		this.codigoPedido = codigoPedido;
	}

	public void setValorParcela(BigDecimal valorParcela) {
		this.valorParcela = valorParcela;
	}

	public void setParcelas(Integer parcelas) {
		this.parcelas = parcelas;
	}

	public String getCondicaoVenda() {
		// Espec01 - Relatorio de vendas de cartões.docx
		// CONDICAO DE VENDA: Débito/a vista/parcelada
		if (getFormapago_id()==3) {
			return "Débito";
		} else {
			if (getParcelas() == 1) {
				return "a vista";
			} else {
				return "parcelada";
			}
		}
	}
}